[global]
pid=/run/php/php7.4-fpm.pid
; We're using journal, put logs there
error_log=/var/log/php7.4-fpm.log
daemonize=yes

; The one and only worker pool we have
[www]
user=www-data
group=www-data
listen=/run/php/php7.4-fpm.sock
listen.owner=www-data
listen.group=www-data
listen.mode=0600

; Process Manager Settings
pm=dynamic
pm.max_children=${num_cpus*4}
pm.start_servers=${num_cpus}
pm.max_spare_servers=${num_cpus*2}
pm.min_spare_servers=${num_cpus}
pm.process_idle_timeout=30s
pm.max_requests=1024
